package com.steering.pss.sale.order.model;

/**
 * 质量设计水压标准实体类
 * 
 * @author Administrator
 * 
 */
public class DesignStdWicEntity {
	/**
	 * DESGIN_KEY
	 */
	private String desginKey;
	/**
	 * 水压索引码
	 */
	private String wic;
	/**
	 * 协议或Alpha代码(用途码)
	 */
	private String useCode;
	/**
	 * 协议或Alpha描述(用途描述)
	 */
	private String useDesc;
	/**
	 * 是否特殊要求(0否;1是)
	 */
	private String speclFl;
	/**
	 * 序号
	 */
	private String indexSeq;
	/**
	 * 试验压力(psi)(英制)
	 */
	private String pressureY;
	/**
	 * 试验压力(MPa)(公制)
	 */
	private String pressure;
	/**
	 * 试验压力(公式)
	 */
	private String formula;
	/**
	 * 保压时间(S)
	 */
	private String saveTime;
	/**
	 * 取大值
	 */
	private String getMaxvalue;
	/**
	 * 取小值
	 */
	private String getMinvalue;
	/**
	 * 标准试验压力系数
	 */
	private String ratioStd;
	/**
	 * 替代试验压力系数
	 */
	private String ratioReplace;
	/**
	 * 最大试验压力
	 */
	private String maxPress;
	private String roundRule;

	public DesignStdWicEntity() {
		desginKey = "";
		wic = "";
		useCode = "";
		useDesc = "";
		speclFl = "";
		indexSeq = "";
		pressureY = "";
		pressure = "";
		formula = "";
		saveTime = "";
		getMaxvalue = "";
		getMinvalue = "";
		ratioStd = "";
		ratioReplace = "";
		maxPress = "";
		roundRule = "";
	}

	/**
	 * DESGIN_KEY
	 * 
	 * @return value
	 */
	public String getDesginKey() {
		return desginKey;
	}

	/**
	 * DESGIN_KEY
	 * 
	 * @param desginKey
	 *            value
	 */
	public void setDesginKey(String desginKey) {
		this.desginKey = desginKey;
	}

	/**
	 * 水压索引码
	 * 
	 * @return value
	 */
	public String getWic() {
		return wic;
	}

	/**
	 * 水压索引码
	 * 
	 * @param wic
	 *            value
	 */
	public void setWic(String wic) {
		this.wic = wic;
	}

	/**
	 * 协议或Alpha代码(用途码)
	 * 
	 * @return value
	 */
	public String getUseCode() {
		return useCode;
	}

	/**
	 * 协议或Alpha代码(用途码)
	 * 
	 * @param useCode
	 *            value
	 */
	public void setUseCode(String useCode) {
		this.useCode = useCode;
	}

	/**
	 * 协议或Alpha描述(用途描述)
	 * 
	 * @return value
	 */
	public String getUseDesc() {
		return useDesc;
	}

	/**
	 * 协议或Alpha描述(用途描述)
	 * 
	 * @param useDesc
	 *            value
	 */
	public void setUseDesc(String useDesc) {
		this.useDesc = useDesc;
	}

	/**
	 * 是否特殊要求(0否;1是)
	 * 
	 * @return value
	 */
	public String getSpeclFl() {
		return speclFl;
	}

	/**
	 * 是否特殊要求(0否;1是)
	 * 
	 * @param speclFl
	 *            value
	 */
	public void setSpeclFl(String speclFl) {
		this.speclFl = speclFl;
	}

	/**
	 * 序号
	 * 
	 * @return value
	 */
	public String getIndexSeq() {
		return indexSeq;
	}

	/**
	 * 序号
	 * 
	 * @param indexSeq
	 *            value
	 */
	public void setIndexSeq(String indexSeq) {
		this.indexSeq = indexSeq;
	}

	/**
	 * 试验压力(psi)(英制)
	 * 
	 * @return value
	 */
	public String getPressureY() {
		return pressureY;
	}

	/**
	 * 试验压力(psi)(英制)
	 * 
	 * @param pressureY
	 *            value
	 */
	public void setPressureY(String pressureY) {
		this.pressureY = pressureY;
	}

	/**
	 * 试验压力(MPa)(公制)
	 * 
	 * @return value
	 */
	public String getPressure() {
		return pressure;
	}

	/**
	 * 试验压力(MPa)(公制)
	 * 
	 * @param pressure
	 *            value
	 */
	public void setPressure(String pressure) {
		this.pressure = pressure;
	}

	/**
	 * 试验压力(公式)
	 * 
	 * @return value
	 */
	public String getFormula() {
		return formula;
	}

	/**
	 * 试验压力(公式)
	 * 
	 * @param formula
	 *            value
	 */
	public void setFormula(String formula) {
		this.formula = formula;
	}

	/**
	 * 保压时间(S)
	 * 
	 * @return value
	 */
	public String getSaveTime() {
		return saveTime;
	}

	/**
	 * 保压时间(S)
	 * 
	 * @param saveTime
	 *            value
	 */
	public void setSaveTime(String saveTime) {
		this.saveTime = saveTime;
	}

	/**
	 * 取大值
	 * 
	 * @return value
	 */
	public String getGetMaxvalue() {
		return getMaxvalue;
	}

	/**
	 * 取大值
	 * 
	 * @param getMaxvalue
	 *            value
	 */
	public void setGetMaxvalue(String getMaxvalue) {
		this.getMaxvalue = getMaxvalue;
	}

	/**
	 * 取小值
	 * 
	 * @return value
	 */
	public String getGetMinvalue() {
		return getMinvalue;
	}

	/**
	 * 取小值
	 * 
	 * @param getMinvalue
	 *            value
	 */
	public void setGetMinvalue(String getMinvalue) {
		this.getMinvalue = getMinvalue;
	}

	/**
	 * 标准试验压力系数
	 * 
	 * @return value
	 */
	public String getRatioStd() {
		return ratioStd;
	}

	/**
	 * 标准试验压力系数
	 * 
	 * @param ratioStd
	 *            value
	 */
	public void setRatioStd(String ratioStd) {
		this.ratioStd = ratioStd;
	}

	/**
	 * 替代试验压力系数
	 * 
	 * @return value
	 */
	public String getRatioReplace() {
		return ratioReplace;
	}

	/**
	 * 替代试验压力系数
	 * 
	 * @param ratioReplace
	 *            value
	 */
	public void setRatioReplace(String ratioReplace) {
		this.ratioReplace = ratioReplace;
	}

	/**
	 * 最大试验压力
	 * 
	 * @return value
	 */
	public String getMaxPress() {
		return maxPress;
	}

	/**
	 * 最大试验压力
	 * 
	 * @param maxPress
	 *            value
	 */
	public void setMaxPress(String maxPress) {
		this.maxPress = maxPress;
	}
	
	public String getRoundRule() {
		return roundRule;
	}

	public void setRoundRule(String roundRule) {
		this.roundRule = roundRule;
	}
}
